/* ---------------------------------------------------------- */
/* @(#) KRW.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* Tape Optimizer Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2009 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

DELETE FROM O4SRV.CCT
WHERE KEY = "KRW_COPY_VOLUME";

/* Situations */
DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Copy_EQ_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Copy_EQ_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Copy_GT_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Copy_GT_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Catalog_Op_EQ_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Catalog_Op_EQ_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_Catalog_Op_GT_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_Catalog_Op_GT_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_RMM_EQ_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_RMM_EQ_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_RC_for_RMM_GT_4"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_RC_for_RMM_GT_4"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_Status_PENDING_RELEASE"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_Status_PENDING_RELEASE"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRW_Status_INCOMPLETE"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*IBM_KRW"
 AND OBJNAME = "KRW_Status_INCOMPLETE"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

